ScotlandPHP 2016

Requerimientos

Si tiene la biblioteca GD (disponible en » http://www.libgd.org/) también será capaz de crear y manipular imágenes.

El formato de las imágenes que se pueden manipular depende de la versión de GD que se instale, y se podría necesitar otra biblioteca GD para acceder a esos formatos de imagen. El soporte para GIF está disponible a partir de gd-2.0.28.

Nota: A partir de PHP 5.0, se requiere libgd-2.0.4 o superior higher. A partir de PHP 5.5, se requiere libgd-2.1.0 o superior. Alternativamente se puede usar la bibiioteca GD intgegrada que viene con PHP.

Puede querer mejorar GD para tratar más formatos de imagen.

Formatos de imagen soportados
Formato de imagen Biblioteca para descargar Anotaciones
gif   Solamente admitido en versiones de GD superior a la gd-2.0.28. El soporte para escritura está disponible a paritr de PHP 5.0.1.
jpeg » http://www.ijg.org/ Cuando se construye la biblioteca jpeg (antes de construir PHP) se debe usar la opción --enable-shared en la fase de configuración. Si no se hace, se recibirá un error diciendo libjpeg.(a|so) not found cuando esté en la fase de configuración de la construcción de PHP.
png » http://www.libpng.org/pub/png/libpng.html
xpm » ftp://metalab.unc.edu/pub/Linux/libs/X/!INDEX.html Lo más probable es que esta biblioteca esté ya disponible si su sistema tiene instalado un X-Environment.

Puede querer mejorar GD para tratar con diferentes fuentes. Las siguientes bibliotecas de fuentes están soportadas:

Bibliotecas de fuentes soportadas
Biblioteca de fuentes Descarga Anotaciones
FreeType 1.x » http://www.freetype.org/ Esta característica obsoleta será eliminada con certeza en el futuro.
FreeType 2 » http://www.freetype.org/  
T1lib » ftp://sunsite.unc.edu/pub/Linux/libs/graphics/) Soporte para fuentes Postscript Type 1. (Eliminada a partir de PHP 7.0.0).

add a note add a note

User Contributed Notes

There are no user contributed notes for this page.
To Top